Bug 150681 - Kopete randomly crashes
Kopete randomly crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-09 11:21 EST by Mark Williamson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 08:12:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Williamson 2005-03-09 11:21:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
Random kopete crashes soon after logging into a jabber account.

Version-Release number of selected component (if applicable):
kdenetwork-3.3.1-1

How reproducible:
Sometimes

Steps to Reproduce:
1. Start Kopete
2. Login to a jabber account
3. Use program for a random amount of time
  

Actual Results:  Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208444704 (LWP 5393)]
[KCrash handler]
#4  0x053aed53 in QString::sprintf () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#5  0x05083a0b in QColor::name () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#6  0x044d3195 in KHTMLSettings::settingsToCSS () from /usr/lib/libkhtml.so.4
#7  0x045a197c in DOM::CSSParser::parseShortHand ()
   from /usr/lib/libkhtml.so.4
#8  0x045a1f13 in DOM::CSSParser::parseShortHand ()
   from /usr/lib/libkhtml.so.4
#9  0x045b05c6 in DOM::CSSParser::parseShortHand ()
   from /usr/lib/libkhtml.so.4
#10 0x044eecb2 in KHTMLInfoDlg::metaObject () from /usr/lib/libkhtml.so.4
#11 0x044bf2b0 in KHTMLPart::begin () from /usr/lib/libkhtml.so.4
#12 0x00fd03db in ChatView::ChatView ()
   from /usr/lib/kde3/kopete_chatwindow.so
#13 0x00fb1721 in KopeteViewManager::view ()
   from /usr/lib/kde3/kopete_chatwindow.so
#14 0x00fb17b9 in KopeteViewManager::slotRequestView ()
   from /usr/lib/kde3/kopete_chatwindow.so
#15 0x00fb219e in KopeteViewManager::qt_invoke ()
   from /usr/lib/kde3/kopete_chatwindow.so
#16 0x050d8a1c in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x04274577 in KopeteMessageManagerFactory::requestView ()
   from /usr/lib/libkopete.so.1
#18 0x04274744 in KopeteMessageManagerFactory::createView ()
   from /usr/lib/libkopete.so.1
#19 0x0427177e in KopeteMessageManager::view () from /usr/lib/libkopete.so.1
#20 0x00fb1830 in KopeteViewManager::messageAppended ()
   from /usr/lib/kde3/kopete_chatwindow.so
#21 0x00fb20e1 in KopeteViewManager::qt_invoke ()
   from /usr/lib/kde3/kopete_chatwindow.so
#22 0x050d8a1c in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x04274d33 in KopeteMessageManagerFactory::display ()
   from /usr/lib/libkopete.so.1
#24 0x04274f2c in KopeteMessageManagerFactory::qt_emit ()
   from /usr/lib/libkopete.so.1
#25 0x050d89cb in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0x04271d2b in KopeteMessageManager::messageAppended ()
   from /usr/lib/libkopete.so.1
#27 0x04271d95 in KopeteMessageManager::appendMessage ()
   from /usr/lib/libkopete.so.1
#28 0x0106d685 in JabberMessageManager::appendMessage ()
   from /usr/lib/kde3/kopete_jabber.so
#29 0x010655a8 in JabberContact::handleIncomingMessage ()
   from /usr/lib/kde3/kopete_jabber.so
#30 0x01058f55 in JabberAccount::slotReceivedMessage ()
   from /usr/lib/kde3/kopete_jabber.so
#31 0x0105ab10 in JabberAccount::qt_invoke ()
   from /usr/lib/kde3/kopete_jabber.so
#32 0x050d8a1c in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#33 0x010989ac in XMPP::Client::messageReceived ()
   from /usr/lib/kde3/kopete_jabber.so
#34 0x010de675 in XMPP::Client::pmMessage ()
   from /usr/lib/kde3/kopete_jabber.so
#35 0x01098fa9 in XMPP::Client::qt_invoke ()
   from /usr/lib/kde3/kopete_jabber.so
#36 0x050d8a1c in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#37 0x010f0613 in XMPP::JT_PushMessage::message ()
   from /usr/lib/kde3/kopete_jabber.so
#38 0x010f5aca in XMPP::JT_PushMessage::take ()
   from /usr/lib/kde3/kopete_jabber.so
#39 0x010ddbd7 in XMPP::Task::take () from /usr/lib/kde3/kopete_jabber.so
#40 0x010db4a6 in XMPP::Client::distribute ()
   from /usr/lib/kde3/kopete_jabber.so
#41 0x010ddafc in XMPP::Client::streamReadyRead ()
   from /usr/lib/kde3/kopete_jabber.so
#42 0x01098f06 in XMPP::Client::qt_invoke ()
   from /usr/lib/kde3/kopete_jabber.so
#43 0x050d8a1c in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#44 0x050d8844 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#45 0x010973b8 in XMPP::Stream::readyRead ()
   from /usr/lib/kde3/kopete_jabber.so
#46 0x010cbb6d in XMPP::ClientStream::doReadyRead ()
   from /usr/lib/kde3/kopete_jabber.so
#47 0x010978c7 in XMPP::ClientStream::qt_invoke ()
   from /usr/lib/kde3/kopete_jabber.so
#48 0x050d8a1c in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#49 0x0541963a in QSignal::signal () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#50 0x050f2bcd in QSignal::activate () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#51 0x050fa393 in QSingleShotTimer::event ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#52 0x0507c49f in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#53 0x0507ba9e in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#54 0x0038a3b8 in KApplication::notify () from /usr/lib/libkdecore.so.4
#55 0x0506bd85 in QEventLoop::activateTimers ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#56 0x05024edb in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#57 0x0508e748 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#58 0x0508e5f8 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#59 0x0507c6f1 in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#60 0x08068e23 in ?? ()
#61 0xbff4c7b0 in ?? ()
#62 0xbff4c790 in ?? ()
#63 0xbff4c790 in ?? ()
#64 0x00000000 in ?? ()


Expected Results:  Kopete continuing to function correctly.

Additional info:
Comment 1 Ngo Than 2006-05-07 08:12:25 EDT
It's not reproduciable in new KDE-3.5.2, you should please update to FC5 current
release which includes new KDE-3.5.2. Thank for your report.

Note You need to log in before you can comment on or make changes to this bug.